> For the complete documentation index, see [llms.txt](https://docs.integry.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.integry.ai/apps/supported-apps/ontraport.md).

# Ontraport

Integry supports a number of triggers and actions of Ontraport.

### Authentication <a href="#h_01hr556ap450c8s3d5hf8vc37f" id="h_01hr556ap450c8s3d5hf8vc37f"></a>

Ontraport uses API key + secret authentication.

### Triggers <a href="#h_01hr556ap5m0d97s0v2hv9bk41" id="h_01hr556ap5m0d97s0v2hv9bk41"></a>

| **Name**         | **Type** | **Description**                              |
| ---------------- | -------- | -------------------------------------------- |
| Contact Created  | Webhook  | Triggers when a contact is created           |
| Product Created  | Polling  | Triggers when a product is created           |
| Deal Created     | Polling  | Triggers when a deal is created              |
| Company Created  | Polling  | Triggers when a company is created           |
| Campaign Created | Webhook  | Triggers when a campaign is created          |
| Product Deleted  | Polling  | Triggers when an existing product is deleted |
| Company Updated  | Polling  | Triggers when a company is updated           |
| Deal Updated     | Polling  | Triggers when a deal is updated              |
| Create Product   | Webhook  | Creates a new product                        |
| Update Product   | Webhook  | Updates an existing product                  |
| Delete Product   | Webhook  | Deletes an existing product                  |

For more, please see [Ontraport API docs](https://api.ontraport.com/doc/).

## Actions <a href="#h_01hr56vpze824xf8dyw4e604x7" id="h_01hr56vpze824xf8dyw4e604x7"></a>

| **Name**        | **Method** | **Description**                       |
| --------------- | ---------- | ------------------------------------- |
| Create Contact  | POST       | Creates a new contact in your account |
| Create Campaign | POST       | Creates a new campaign                |
| Create Company  | POST       | Creates a new company                 |
| Update Company  | PUT        | Updates an existing company           |
| Delete Contact  | DELETE     | Deletes an existing contact           |
| Update Contact  | PUT        | Updates an existing contact           |
| Create Deal     | POST       | Creates a new deal                    |
| Create Product  | POST       | Creates a new product                 |
| Update Product  | PUT        | Updates an existing product           |
| Delete Product  | DELETE     | Deletes an existing product           |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.integry.ai/apps/supported-apps/ontraport.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
